Package org.drinkless.tdlib

# Class TdApi.TonRevenueStatus

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.TonRevenueStatus

Enclosing class:
  `TdApi`

public static class TdApi.TonRevenueStatus extends TdApi.Object
Contains information about Toncoins earned by the current user.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `availableAmount`
  The Toncoin amount that is available for withdrawal; in the smallest units of the cryptocurrency.
  `long`
  `balanceAmount`
  The Toncoin amount that isn't withdrawn yet; in the smallest units of the cryptocurrency.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `totalAmount`
  Total Toncoin amount earned; in the smallest units of the cryptocurrency.
  `boolean`
  `withdrawalEnabled`
  True, if Toncoins can be withdrawn.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TonRevenueStatus()`
  Contains information about Toncoins earned by the current user.
  `TonRevenueStatus(long totalAmount, long balanceAmount, long availableAmount, boolean withdrawalEnabled)`
  Contains information about Toncoins earned by the current user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalAmount

    public long totalAmount
    Total Toncoin amount earned; in the smallest units of the cryptocurrency.

  - ### balanceAmount

    public long balanceAmount
    The Toncoin amount that isn't withdrawn yet; in the smallest units of the cryptocurrency.

  - ### availableAmount

    public long availableAmount
    The Toncoin amount that is available for withdrawal; in the smallest units of the cryptocurrency.

  - ### withdrawalEnabled

    public boolean withdrawalEnabled
    True, if Toncoins can be withdrawn.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TonRevenueStatus

    public TonRevenueStatus()
    Contains information about Toncoins earned by the current user.

  - ### TonRevenueStatus

    public TonRevenueStatus(long totalAmount, long balanceAmount, long availableAmount, boolean withdrawalEnabled)
    Contains information about Toncoins earned by the current user.
    Parameters:
      `totalAmount` - Total Toncoin amount earned; in the smallest units of the cryptocurrency.
      `balanceAmount` - The Toncoin amount that isn't withdrawn yet; in the smallest units of the cryptocurrency.
      `availableAmount` - The Toncoin amount that is available for withdrawal; in the smallest units of the cryptocurrency.
      `withdrawalEnabled` - True, if Toncoins can be withdrawn.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR